//GLSL 3.30
#version 330

attribute vec3 aPointPosition;
attribute vec3 aPointColor;

uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;

out vec3 vColor;

void main(void) {
    gl_Position = uPMatrix * uMVMatrix * vec4(aPointPosition, 1.0);
    gl_PointSize = 1.0;
    vColor = aPointColor;
}
